HTTP API

ECS Subscription

GET/api/v1/ecs/{index}/subscribe
GET
/api/v1/ecs/{index}/subscribe

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string

ECS index/namespace

Query Parameters

token?string

JWT token (alternative to Authorization header)

Response Body

curl -X GET "https://example.com/api/v1/ecs/string/subscribe"
Empty
GET/api/v1/ecs/{index}/subscriptions
GET
/api/v1/ecs/{index}/subscriptions

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/ecs/string/subscriptions"
{  "subscriptions": [    {      "entity_id": "string",      "type": "entity",      "created_at": "2019-08-24T14:15:22Z",      "subscription_id": "string"    }  ],  "total": 0}
POST/api/v1/ecs/{index}/subscriptions
POST
/api/v1/ecs/{index}/subscriptions

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

What to subscribe to

Subscribe to changes for a specific entity

Response Body

application/json

curl -X POST "https://example.com/api/v1/ecs/string/subscriptions" \  -H "Content-Type: application/json" \  -d '{    "entity_id": "string",    "type": "entity"  }'
{  "subscription": {    "entity_id": "string",    "type": "entity",    "created_at": "2019-08-24T14:15:22Z",    "subscription_id": "string"  }}
GET/api/v1/ecs/{index}/subscriptions/{subscription_id}
GET
/api/v1/ecs/{index}/subscriptions/{subscription_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string
subscription_id*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/ecs/string/subscriptions/string"
{  "entity_id": "string",  "type": "entity",  "created_at": "2019-08-24T14:15:22Z",  "subscription_id": "string"}
DELETE/api/v1/ecs/{index}/subscriptions/{subscription_id}
DELETE
/api/v1/ecs/{index}/subscriptions/{subscription_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string
subscription_id*string

Response Body

curl -X DELETE "https://example.com/api/v1/ecs/string/subscriptions/string"
Empty

On this page